# Function inferUserLicenseSchema

- inferUserLicenseSchema<T extends ZodType<jUserLittle, ZodTypeDef, jUserLittle>>(
  type: T,
  ): ZodObject<
  { license: ZodUnion<[ZodLiteral<"1">, ZodLiteral<"0">]>; user: T },
  "strip",
  ZodTypeAny,
  {
  [k in "user" | "license"]: addQuestionMarks<
  baseObjectOutputType<
  { license: ZodUnion<[ZodLiteral<"1">, ZodLiteral<"0">]>; user: T },
  >,
  any,
  >[k]
  },
  {
  [k in "user"
  | "license"]: baseObjectInputType<
  { license: ZodUnion<[ZodLiteral<"1">, ZodLiteral<"0">]>; user: T },
  >[k]
  },
  >

  #### Type Parameters

  - T extends ZodType<jUserLittle, ZodTypeDef, jUserLittle>

  #### Parameters

  - type: T

  #### Returns ZodObject<
  { license: ZodUnion<[ZodLiteral<"1">, ZodLiteral<"0">]>; user: T },
  "strip",
  ZodTypeAny,
  {
  [k in "user" | "license"]: addQuestionMarks<
  baseObjectOutputType<
  { license: ZodUnion<[ZodLiteral<"1">, ZodLiteral<"0">]>; user: T },
  >,
  any,
  >[k]
  },
  {
  [k in "user"
  | "license"]: baseObjectInputType<
  { license: ZodUnion<[ZodLiteral<"1">, ZodLiteral<"0">]>; user: T },
  >[k]
  },
  >

  - Defined in jamespot-user-api/src/types/license.ts:23